Subject: Re: Modular setup?
From: Robert Collins <[email-masked]>
To: Chris Jefferson <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Feb 2004 23:44:42 +1100

On Tue, 2004-02-03 at 12:09, Chris Jefferson wrote:
> Hello.
> 
> I suspect that this is a FAQ, but I haven't found it, so I'll ask it!
> 
> Unlike linux / *BSD / etc distributions, it doesn't seem easy to 
> automate the cygwin install utility. I don't seem able to get a list of 
> installed packages, give a package to install from a given file, examine 
> the package cache , etc.

Check the cygwin-apps archives.

> Now I think I can figure out how to get to these things, but I would 
> personally perfer a nice command-line package utility which I could use 
> to automate things (particularily an interest of mine, downloading 
> binary patches to existing cached downloads to avoid having to redownload).

No such beast for cygwin. There is a draft command line setup, but it
needs quite some work to get the GUI entangled functions out of the GUI
program, and it's low priority. There are command line options to the
GUI.

> Is this kind of thing not covered in cygwin because it is felt it would 
> needlessly complicate things, or simply because no-one has written the 
> code? :)

Bit of both.

Rob
-- 
GPG key available at: <http://www.robertcollins.net/keys.txt>.